Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cve
Class CVEQueryPretend

    java.lang.Object
      |
      +--cve.CVEQueryPretend

public class CVEQueryPretend
extends java.lang.Object

a factor that is the result of a query.

Field Summary
`private RuleCollection` | `result`

Constructor Summary
`(package private)` | `CVEQueryPretend(Variable[] queryVars, ContextualBeliefNetwork bnet, Variable[] observedVars, int[] observedVals, java.lang.String[] eo)` constructs the factor that answers the specific query for a given elimination ordering.
`(package private)` | `CVEQueryPretend(Variable[] queryVars, ContextualBeliefNetwork bnet, Variable[] observedVars, int[] observedVals, Variable[] eo)`

Method Summary
`(package private) RuleCollection` | `getResult()` gets the result of the query.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### result

    private RuleCollection result

Constructor Detail

### CVEQueryPretend

    CVEQueryPretend(Variable[] queryVars,
                    ContextualBeliefNetwork bnet,
                    Variable[] observedVars,
                    int[] observedVals,
                    java.lang.String[] eo)

  constructs the factor that answers the specific query for a given elimination ordering.
  Parameters:
    `queryVars` - the array of variables being queried. These are assumed to be in order and must be a subset of the variables in bnet.
    `bnet` - a belief network.
    `observedVars` - the array of variables that have observed values. These are assumed to be in order and must be a subset of the variables in bnet.
    `ObservedVals` - the array of values for the corresponding observed values. Each value ObservedVals[i] is the index into ObservedVars[i].domain.
    `ElimOrd` - the string of variables that specifies the elimination ordering. We assume this is correct.

### CVEQueryPretend

    CVEQueryPretend(Variable[] queryVars,
                    ContextualBeliefNetwork bnet,
                    Variable[] observedVars,
                    int[] observedVals,
                    Variable[] eo)

Method Detail

### getResult

    RuleCollection getResult()

  gets the result of the query.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD